----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    14:18:28 04/07/2015 
-- Design Name: 
-- Module Name:    sbox - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity sbox is
		port(
			nibble_in : in std_logic_vector(3 downto 0);
			nibble_out: out std_logic_vector(3 downto 0)
		);
end sbox;

architecture Behavioral of sbox is

begin

	with nibble_in select 
		nibble_out <=
			x"4" when x"0",
			x"8" when x"1",
			x"7" when x"2",
			x"1" when x"3",
			x"9" when x"4",
			x"3" when x"5",
			x"2" when x"6",
			x"e" when x"7",
			x"0" when x"8",
			x"b" when x"9",
			x"6" when x"a",
			x"f" when x"b",
			x"a" when x"c",
			x"5" when x"d",
			x"d" when x"e",
			x"c" when others;

end Behavioral;

